This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 693637 - Offline no longer is offline
Offline no longer is offline
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
14
All Unspecified
urgent Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: kde-4.6
  Show dependency treegraph
 
Reported: 2011-04-05 03:42 EDT by Christoph Wickert
Modified: 2012-06-27 06:13 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 06:13:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2011-04-05 03:42:03 EDT
Description of problem:
After the KDE 4.6.1 update, the option "Work offline" in Kmail/Kontact no longer works.

Version-Release number of selected component (if applicable):
kdepim-4.4.10-2.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1. start Kmail/Kontact in online mode
2. configure it to check for mail automatically every X minutes
3. go offline and set Kmail/Kontact to "Work offline".

Actual results:
Kmail/Kontact still checks for mail periodically and a popup that the hostname of the mail server could not be resolved will steal focus all the time.

Expected results:
Offline should be offline!

Additional info:
Worked fine before the update.
Comment 1 Rex Dieter 2011-04-05 13:00:17 EDT
Apparently this should be addressed by:
http://commits.kde.org/kdepim/cfa404b7188e4c26bddbc9579728f6d25f8cd214
Comment 2 Kevin Kofler 2011-04-05 13:04:58 EDT
No. That's the other regression (bug #693177).
Comment 3 Martin Bříza 2012-06-27 05:12:03 EDT
Hello,
I'm sorry to respond this late. I just tried this functionality in kmail in KDE SC 4.8.3 in Fedora 16 and it works as it should. Please, is the problem fixed on your box, too?
Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Christoph Wickert 2012-06-27 06:13:50 EDT
On F16 and F17 with kmail2 the situation is different, it exactly the opposite of what happened before on F15. The akonadi backend goes offline although it shouldn't. akonadi is offline, but the kmail UI says online, but with all folders greyed out. But this is a different bug, I'll close this one as F15 was EOL'ed yesterday.

Note You need to log in before you can comment on or make changes to this bug.